> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Web Text Assistant



## OpenAPI

````yaml POST /assistants/create-web-text
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /assistants/create-web-text:
    post:
      tags:
        - assistant_create_web
      operationId: assistant_create_web
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                template_id:
                  type: string
                  minLength: 24
                  maxLength: 24
                name:
                  type: string
                  minLength: 3
                  maxLength: 180
                language:
                  type: string
                  enum:
                    - en-US
                    - es-ES
                structured_data:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - short_response
                          - multiple_choice
                      value:
                        type: string
                        minLength: 3
                        maxLength: 180
                      choices:
                        type: array
                        items:
                          type: string
                          minLength: 2
                          maxLength: 180
                    required:
                      - type
                      - value
                webhook:
                  type: string
                  minLength: 5
                  description: >-
                    We will trigger post request to this webhook url with this
                    data 


                    ```json

                    {
                      "data": {
                        "conversation_type": "web_text",
                        "conversation_id": "",
                        "assistant_id": "",
                        "full_transcript": [],
                        "edited_transcript": [],
                        "data_points": [],
                        "timestamp": 0
                      },
                      "signature": ""
                    }

                    ```

                    We generated a signature to secure the webhook payload,
                    please refer to the colab example.
                logo:
                  type: object
                  properties:
                    src:
                      type: string
                      format: uri
                      description: Source url
                    href:
                      type: string
                      format: uri
                      description: Linked to
                hidden_fields:
                  type: array
                  items:
                    type: string
                    minLength: 3
                    maxLength: 180
                  description: >-
                    Hidden Fields allows you to use data you already have, track
                    information about your respondents, please refer to our
                    colab example
              required:
                - template_id
                - name
                - language
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  result:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: as_***
                      template_id:
                        type: string
                        example: tp_***
                      title:
                        type: string
                      conversational_states:
                        type: object
                      language:
                        type: string
                      slug:
                        type: string
                      embed:
                        type: string
                      structured_data:
                        type: array
                        items: {}
                      webhook:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````